<?php

$startunix = mktime(0, 0, 0, 10, 15, 1998);  
   $endunix = mktime(0, 0, 0, date("m"), date("d"), date("Y"));  

   $difference = $endunix - $startunix;  
   $dias = number_format($difference/86400,0);  
?>
<?php

/*$daynum = date("j",mktime(0,0,0,$mes+1,0,$año));
$dia=1;
while ($dia<=$daynum){
    $day=jddayofweek ( cal_to_jd(CAL_GREGORIAN, date($mes),date($dia), date($año)) , 1 );
    if ($day<>'Sunday'){
        $dayh++;
    }
    $dia++;
}
*/echo $dayh;
?>
<?php


//defino fecha 1 
$ano1 = 2006; 
$mes1 = 10; 
$dia1 = 2; 

//defino fecha 2 
$ano2 = 2006; 
$mes2 = 10; 
$dia2 = 27; 

//calculo timestam de las dos fechas 
$timestamp1 = mktime(0,0,0,$mes1,$dia1,$ano1); 
$timestamp2 = mktime(0,0,0,$mes2,$dia2,$ano2); 

//resto a una fecha la otra 
$segundos_diferencia = $timestamp1 - $timestamp2; 
//echo $segundos_diferencia; 

//convierto segundos en días 
$dias_diferencia = $segundos_diferencia / (60 * 60 * 24); 

//obtengo el valor absoulto de los días (quito el posible signo negativo) 
$dias_diferencia = abs($dias_diferencia); 

//quito los decimales a los días de diferencia 
$dias_diferencia = floor($dias_diferencia); 

echo $dias_diferencia; 













 $fechaInicio ="28/02/1999";   
$fechaActual = "29/02/2000";   
  $diaActual = substr($fechaActual, 0, 2);   
$mesActual = substr($fechaActual, 3, 5);   
$anioActual = substr($fechaActual, 6, 10);   
$diaInicio = substr($fechaInicio, 0, 2);   
$mesInicio = substr($fechaInicio, 3, 5);   
$anioInicio = substr($fechaInicio, 6, 10);   
  $b = 0;   
$mes = $mesInicio-1;   
if($mes==2){   
if(($anioActual%4==0 && $anioActual%100!=0) || $anioActual%400==0){   
$b = 29;   
}else{   
$b = 28;   
}   
}   
else if($mes<=7){   
if($mes==0){   
 $b = 31;   
}   
  else if($mes%2==0){   
  $b = 30;   
  }   
  else{   
  $b = 31;   
  }   
  }   
  else if($mes>7){   
  if($mes%2==0){   
  $b = 31;   
  }   
  else{   
  $b = 30;   
  }   
  }   
   if(($anioInicio>$anioActual) || ($anioInicio==$anioActual && $mesInicio>$mesActual) ||    
  ($anioInicio==$anioActual && $mesInicio == $mesActual && $diaInicio>$diaActual)){   
  echo "La fecha de inicio ha de ser anterior a la fecha Actual";   
  }else{   
  if($mesInicio <= $mesActual){   
  $anios = $anioActual - $anioInicio;   
  if($diaInicio <= $diaActual){   
  $meses = $mesActual - $mesInicio;   
  $dies = $diaActual - $diaInicio;   
  }else{   
  if($mesActual == $mesInicio){   
  $anios = $anios - 1;   
  }   
  $meses = ($mesActual - $mesInicio - 1 + 12) % 12;   
  $dies = $b-($diaInicio-$diaActual);   
  }   
  }else{   
  $anios = $anioActual - $anioInicio - 1;   
  if($diaInicio > $diaActual){   
  $meses = $mesActual - $mesInicio -1 +12;   
  $dies = $b - ($diaInicio-$diaActual);   
  }else{   
  $meses = $mesActual - $mesInicio + 12;   
  $dies = $diaActual - $diaInicio;   
  }   
  }   
  echo "Años: ".$anios." <br />";   
  echo "Meses: ".$meses." <br />";   
  echo "Días: ".$dies." <br />";   
  }  

//VALIDAR DATOS 
if($enviar){ 
if($_POST['edad'] < 100){ 
echo "edad correcta"; 
}else{ 
echo "Edad incorrecta: "; 
} 
}else{ 
?> 
<form action="prueba.php" method="post"> 
<input name="edad" type="text"> 
<input type="submit" name="enviar"> 
</form> 
<? 
} 
?>
 

<?php


$uno = $_post['uno'];
$dos = $_post['dos'];

if(empty ($uno))
{
$error++;
}

if(empty ($dos))
{
$error++;
}

if($error > 0)
{
echo"Ingresar valor en los campos"
?>

<?php

<select name="select1"> 
<option value="1">valor 1 
<option value="2">valor 2 
<option value="3">valor 3 
</select>  

y para saber si el select de arriba esta vacio

Código PHP:
if(empty($_POST['select1'])){ 
     echo "tu valor esta vacido"  
} 
?>